Есть отличная удаленная работа для php+codeception+jenkins+allure+docker спецов. 100% remote! Присоединиться к проекту

Плагин maven странно работает


(f@zen>) #1

Добрый день коллеги! Хотел с Вами посоветоваться на счет плагина maven-site-plugin. Дело в том если я в pom файле, а именно в строчке

 <groupId>org.apache.maven.plugins</groupId>
 <artifactId>maven-site-plugin</artifactId>
 <version>3.4</version>

В идеи подсвечивает ошибку, но в консоле mvn site, все успешно создает

А если поставить версию 3.2, то ошибок нет в идеи, но при mvn site , показывает ошибку

С чем это может быть связано, потому что если в jenkens запускаю , тест то работает, но в консоле выводит по завершению


(Sergey Korol) #2

Первым делом нужно заглядывать на оф. страничку плагина. :wink:

<build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-site-plugin</artifactId>
        <version>3.2</version><!-- last maven-site-plugin version supporting this reportPlugins configuration -->
        <configuration>
          ...
          <reportPlugins><!-- not supported any more... (now kept internal) -->
            <plugin>
              <groupId>org.apache.maven.plugins</groupId>
              <artifactId>maven-project-info-reports-plugin</artifactId>
              <version>2.4</version>
              <configuration>
                <dependencyDetailsEnabled>false</dependencyDetailsEnabled>
                <dependencyLocationsEnabled>false</dependencyLocationsEnabled>
              </configuration>
              <!-- simpler configuration without reportSets available for usual cases -->
              <reports>
                <report>dependencies</report>
                <report>scm</report>
              </reports>
            </plugin>
            <plugin>
              <groupId>org.apache.maven.plugins</groupId>
              <artifactId>maven-javadoc-plugin</artifactId>
              <version>2.8</version>
            </plugin>
          </reportPlugins>
        </configuration>
      </plugin>
    </plugins>
  </build>

(Tatyana Durova) #3

@ArtOfLife А что делать. если хочется обновить версию maven-site-plugin до 3.6?


(Sergey Korol) #4

Даже не знаю, как ответить на ваш вопрос, ибо он из разряда - “а что делать, если хочется кушать?”.

Давайте все же начнем с корректной постановки вопроса, соблюдая требования портала к информативности публикуемого контента. Эти игры в экстрасенсов уже доходят до абсурда.